﻿.custom-radio-container {
    display: block;
    position: relative;
    font-size: 13px;
    cursor: pointer;
    padding-left: 22px;
    padding-bottom: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default radio button */
    .custom-radio-container input[type='radio'] {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }
    .custom-radio-container label {
        line-height: 18px;
        display: block;
    }

/* Create a custom radio button */
.custom-radio {
    position: absolute;
    top: 0;
    left: 0;
    height: 18px;
    width: 18px;
    border: solid 2px #333333;
    border-radius: 50%;
    box-sizing: border-box;
}


/* On mouse-over, add a grey background color */
.custom-radio-container:not(.disabled):hover input ~ .custom-radio:not(.disabled) {
    background-color: #F2F2F2;
}

/* When the radio button is checked, add a green background */
.custom-radio-container input:checked ~ .custom-radio {
    background-color: #fff;
    border: solid 2px #307F52;
}


/* Create the indicator (the dot/circle - hidden when not checked) */
.custom-radio:after {
    content: "";
    position: absolute;
    display: none;
}

/*display custom-radios checkmark when checkbox checked */
.custom-radio-container input:checked ~ .custom-radio:after {
    display: block;
}
/*style for custom-radio's checkmark when shown*/
.custom-radio:after, .custom-radio-container .custom-radio:after {
    top: 2.25px;
    left: 2.25px;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #307F52;
}


/* Style the indicator (dot/circle) */

.custom-radio-container.disabled,
.custom-radio-container.disabled:hover,
.custom-radio-container.disabled:hover input {
    border: none;
    background: none;
    cursor: default;
}

    .custom-radio-container.disabled .labelText {
        color: #DDDDDD;
    }

    .custom-radio-container.disabled .custom-radio,
    .custom-radio-container.disabled .custom-radio:hover {
        background-color: transparent;
        border-color: #DDDDDD;
    }

.radioBtnContainer {
    margin-bottom: 5px;
}